##
#  Makefile for the Go2Console sample application
#  
#  The Gocator 2000 API
#  Copyright (C) 2010 by LMI Technologies Inc.
#  
#  Redistributions of files must retain the above copyright notice.
##

rm= rm -f
mkdir = mkdir -p
CC = gcc
DEFS = 
PROGNAME = ../bin/Go2Console
INCLUDES =  -I../include
LIBS = -lGo2 -lzApi -lrt -lpthread
CFLAGS= -g $(INCLUDES) $(DEFS)

SRCS = src/App.c

OBJS = src/App.o 

.c.o:
	$(rm) $@
	$(CC) $(CFLAGS) -c $*.c -o $@

all: $(PROGNAME)

$(PROGNAME) : $(OBJS)
	$(CC) $(CFLAGS) -o $(PROGNAME) $(OBJS) $(LIBS)

clean:
	$(rm) $(OBJS) $(PROGNAME) core *~
